IF OBJECT_ID('GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS') IS NULL
BEGIN
	CREATE TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS(
		CD_CTR_GRP_PROD BIGINT NOT NULL,
		CD_EMP INT NOT NULL,
		CD_PROD_RETORNADO INT NOT NULL,
		CST_ENT VARCHAR(2),
		CST_SAI VARCHAR(2),
		ALIQ_PIS MONEY,
		ALIQ_COFINS MONEY,
		NRI VARCHAR(10),
		APARO_LEGAL VARCHAR(1000));
END

GO

IF OBJECT_ID('PK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS') IS NULL
BEGIN
	ALTER TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS ADD CONSTRAINT PK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS PRIMARY KEY (CD_CTR_GRP_PROD, CD_EMP, CD_PROD_RETORNADO);
END

GO

IF OBJECT_ID('FK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS') IS NULL
BEGIN
	ALTER TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS ADD CONSTRAINT FK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_PISCOFINS_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS FOREIGN KEY(CD_CTR_GRP_PROD) REFERENCES GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS(CD_CTR);
END
